[kwlug-disc] next step in debian upgrade: upgrade etch 2.4 kernel to 2.6

Robert P. J. Day rpjday at crashcourse.ca
Thu Aug 20 03:26:43 EDT 2009


On Wed, 19 Aug 2009, Paul Nijjar wrote:

> On Wed, Aug 19, 2009 at 01:50:24PM -0400, Robert P. J. Day wrote:
> >
> >   ok, things seem to have stabilized, i have a smoothly-running
> > etch system, fully upgraded, with only 3 (apparently minor)
> > packages on hold at the moment.  but it's running only the 2.4.27
> > kernel so, before i go any further, it appears that i should
> > upgrade to a 2.6 kernel.
> >
> >   i'm reading the online docs about that as we speak and it
> > *looks* relatively straightforward but, as always, i'm open to
> > good advice.
>
> If you are building your own kernel then use the "kernel-package"
> package to Debian-ize it.
>
> I am tempted to say that using a prebuilt kernel is straightfoward
> but I am not entirely sure I can back that up. I have gotten burned
> with problems burning CDs. I vaguely remember some issue with udev,
> but maybe that was when I tried to boot a RAID 1 array using Lenny.
> Sometimes module names change or disappear. However, I expect you
> are far more familiar with these kinds of issues than I am, because
> you pay a lot more attention to the kernel.

  after poking around, i'm going with what i'm reading here:

http://www.debian.org/releases/etch/i386/release-notes/ch-upgrading.en.html#s-newkernel

as the docs suggest (and as i know from experience), upgrading from
2.4 to 2.6 is not something to be taken lightly.  here's what's on
tap:

# apt-get --dry-run install linux-image-2.6-686
Reading package lists... Done
Building dependency tree... Done
The following extra packages will be installed:
 busybox initramfs-tools klibc-utils libklibc libvolume-id0 linux-image-2.6.18-6-686 module-init-tools udev
Suggested packages:
 linux-doc-2.6.18
Recommended packages:
 libc6-i686
The following packages will be REMOVED
 hotplug
The following NEW packages will be installed
 busybox initramfs-tools klibc-utils libklibc libvolume-id0 linux-image-2.6-686 linux-image-2.6.18-6-686
module-init-tools udev
0 upgraded, 9 newly installed, 1 to remove and 3 not upgraded.
Remv hotplug [0.0.20040329-26]
Inst module-init-tools (3.3-pre4-2 Debian:4.0r8/oldstable)
Inst libklibc (1.4.34-2 Debian:4.0r8/oldstable)
Inst klibc-utils (1.4.34-2 Debian:4.0r8/oldstable)
Inst busybox (1:1.1.3-4 Debian:4.0r8/oldstable)
Inst libvolume-id0 (0.105-4etch1 Debian-Security:4.0/oldstable)
Inst udev (0.105-4etch1 Debian-Security:4.0/oldstable)
Inst initramfs-tools (0.85i Debian:4.0r8/oldstable)
Inst linux-image-2.6.18-6-686 (2.6.18.dfsg.1-24etch3 Debian-Security:4.0/oldstable)
Inst linux-image-2.6-686 (2.6.18+6etch3 Debian:4.0r8/oldstable, Debian-Security:4.0/oldstable)
Conf module-init-tools (3.3-pre4-2 Debian:4.0r8/oldstable)
Conf libklibc (1.4.34-2 Debian:4.0r8/oldstable)
Conf klibc-utils (1.4.34-2 Debian:4.0r8/oldstable)
Conf busybox (1:1.1.3-4 Debian:4.0r8/oldstable)
Conf libvolume-id0 (0.105-4etch1 Debian-Security:4.0/oldstable)
Conf udev (0.105-4etch1 Debian-Security:4.0/oldstable)
Conf initramfs-tools (0.85i Debian:4.0r8/oldstable)
Conf linux-image-2.6.18-6-686 (2.6.18.dfsg.1-24etch3 Debian-Security:4.0/oldstable)
Conf linux-image-2.6-686 (2.6.18+6etch3 Debian:4.0r8/oldstable, Debian-Security:4.0/oldstable)

  it *looks* reasonable, but i'll spend a bit more time perusing it.

rday
--

========================================================================
Robert P. J. Day                               Waterloo, Ontario, CANADA

        Linux Consulting, Training and Annoying Kernel Pedantry.

Web page:                                          http://crashcourse.ca
Twitter:                                       http://twitter.com/rpjday
========================================================================



More information about the kwlug-disc_kwlug.org mailing list